package fr.velossity.sample.device.impl;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * Instanciates a POJO for a single mock device.
 * @author C. Saint-Marcel
 * 
 */
public class Activator implements BundleActivator {
	
	private MockDeviceImpl myDevice;
	
	/**
	 * @see BundleActivator#start(BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		myDevice = new MockDeviceImpl("producer1", context);
		myDevice.activate();
	}

	/**
	 * @see BundleActivator#stop(BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		myDevice.deactivate();
	}

}
